Skip to main content
POST
/
enrichments
/
{enrichmentId}
/
chargeback
Report that a chargeback occurred
curl --request POST \
  --url https://east.sandbox.spade.com/enrichments/{enrichmentId}/chargeback \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "chargebackNotes": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z",
  "isFraud": true,
  "fraudNotes": "<string>"
}
'
import requests

url = "https://east.sandbox.spade.com/enrichments/{enrichmentId}/chargeback"

payload = {
"chargebackNotes": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"isFraud": True,
"fraudNotes": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chargebackNotes: '<string>',
occurredAt: '2023-11-07T05:31:56Z',
isFraud: true,
fraudNotes: '<string>'
})
};

fetch('https://east.sandbox.spade.com/enrichments/{enrichmentId}/chargeback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "details": "<string>"
}
{
"invalidField": [
"<string>"
]
}
{
"details": "<string>"
}
{
"details": "<string>"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

enrichmentId
string
required

The enrichmentId of enrichment associated with the transaction where a chargeback occurred.

Body

application/json
state
enum<string>
required

The state of the chargeback process. You can update a chargeback's state by submitting another request with a new state, for example, a new request could update the state from chargeback_pending to chargeback_won.

Available options:
chargeback_won,
chargeback_lost,
chargeback_pending
Example:

"chargeback_won"

chargebackNotes
string

Any additional details related to the chargeback not covered by the state.

Maximum string length: 512
Example:

"Transaction was initiated in error."

occurredAt
string<date-time>

The time when the chargeback's state change. This could be the time when the chargeback was initiated and its state became chargeback_pending or the time when the chargeback was resolved its state moved to chargeback_won or chargeback_lost. Formatted as an ISO 8601 date time.

Example:

"2022-06-15 18:27:51Z"

isFraud
boolean

A boolean indicating if this transaction was suspected to involve fraud.

Example:

false

fraudType
enum<string>

The type of fraud suspected to have occurred. This field can only be provided if isFraud is true.

Available options:
card_not_present,
card_testing,
chargeback_fraud,
counterfeit_card,
merchant_fraud,
other,
phishing,
stolen_card,
unknown,
none
fraudNotes
string

Any additional details related to fraud suspected to have occurred on the associated transaction. This field can only be provided if isFraud is true.

Maximum string length: 512
Example:

"Merchant is believed to commonly be used for card testing."

Response

Chargeback reported successfully.

Response for reporting any kind of enrichment feedback.

details
string
Example:

"Chargeback successfully reported."